跳转到主要内容
平台运维/灾备管理/持续数据保护(CDP)/持续数据保护(CDP)相关接口
GETCDP Operations起始版本 5.1.4同步需要认证

获取备份服务器CDP运行条件

获取备份服务器CDP运行条件

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

查询参数

请求参数

路径参数

  • backupStorageUuidString必填

    镜像存储UUID

查询参数

  • limitInteger

    可选。

  • startInteger

    可选。

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • requiredMap必填

    期望条件

  • currentMap必填

    当前条件

  • successboolean必填

    是否成功

  • nextStepString必填

    下一步骤

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

请求地址

GET/zstack/v1/cdp-backup-storage/{backupStorageUuid}/requirement

/zstack/v1/cdp-backup-storage/{backupStorageUuid}/requirement

操作 ID

GetCdpBackupStorageRequirement

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/cdp-backup-storage/{backupStorageUuid}/requirement?limit=1&start=1&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "nextStep": "None", "required": { "qemuVersion": "6.2.0" }, "current": { "cdpVersion": "cdp" } }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史